Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SlamFlagLocator Class Reference

`#include <SlamFlagLocator.h>`

Collaboration diagram for SlamFlagLocator:

[legend]
List of all members.

## Public Types
enum | Sizes { xSize = 60+6, ySize = 40+6 }
enum | flagCharacteristics { blueOnThisSide = 0, yellowOnThisSide = 1, somethingElseOnThisSide = 2 }
## Public Member Functions
| SlamFlagLocator ()
| ~SlamFlagLocator ()
void | addFlagDirection (const Pose2D &robotPose, double bearing, int characterization)
void | finishUpdate ()
void | getClosestFlagBearing (double &targetBearing, const Pose2D &robotPose, double measuredBearing)
void | draw ()
int | getCharacterisationNumber (flagCharacteristics above, flagCharacteristics below, flagCharacteristics left, flagCharacteristics right)
## Private Member Functions
void | calcFlags ()
## Private Attributes
long ** | cluster [NewFlagContainer::NO_OF_CHARACTERIZATIONS]
NewFlagContainer * | container
bool | updateFinished
double | averageParam
double | maxParam

## Member Enumeration Documentation

enum SlamFlagLocator::Sizes

  | Enumeration values:
  xSize |
  ySize |
Definition at line 68 of file SlamFlagLocator.h.

enum SlamFlagLocator::flagCharacteristics

  | Enumeration values:
  blueOnThisSide |
  yellowOnThisSide |
  somethingElseOnThisSide |
Definition at line 81 of file SlamFlagLocator.h.

## Constructor & Destructor Documentation

SlamFlagLocator::SlamFlagLocator | ( |  | ) |

| Definition at line 5 of file SlamFlagLocator.cpp. References averageParam, cluster, container, maxParam, updateFinished, xSize, and ySize.

SlamFlagLocator::~SlamFlagLocator | ( |  | ) |

| Definition at line 23 of file SlamFlagLocator.cpp. References cluster, container, and xSize.

## Member Function Documentation

void SlamFlagLocator::addFlagDirection | ( | const Pose2D & | robotPose,
|  | double | bearing,
|  | int | characterization
| ) |

| Definition at line 35 of file SlamFlagLocator.cpp. References cluster, BresenhamLineScan::getNext(), BresenhamLineScan::numberOfPixels, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Pose2D::translation, updateFinished, Vector2< V >::x, Vector2< double >::x, xSize, Vector2< V >::y, Vector2< double >::y, and ySize.

Here is the call graph for this function:

void SlamFlagLocator::finishUpdate | ( |  | ) |

| Definition at line 99 of file SlamFlagLocator.cpp. References calcFlags(), idText, OUTPUT, and updateFinished.

Here is the call graph for this function:

void SlamFlagLocator::getClosestFlagBearing | ( | double & | targetBearing,
|  | const Pose2D & | robotPose,
|  | double | measuredBearing
| ) |

void SlamFlagLocator::draw | ( |  | ) |

| Definition at line 63 of file SlamFlagLocator.cpp. References CIRCLE, cluster, container, SlamFlagLocator::NewFlagContainer::getFlagsForCharacterization(), idText, LINE, NCIRCLE, NDECLARE_DEBUGDRAWING, and OUTPUT.

Here is the call graph for this function:

int SlamFlagLocator::getCharacterisationNumber | ( | flagCharacteristics | above,
|  | flagCharacteristics | below,
|  | flagCharacteristics | left,
|  | flagCharacteristics | right
| ) | `[inline]`

| Definition at line 88 of file SlamFlagLocator.h.

void SlamFlagLocator::calcFlags | ( |  | ) | `[private]`

| Definition at line 106 of file SlamFlagLocator.cpp. References SlamFlagLocator::NewFlagContainer::addFlag(), averageParam, cluster, container, max, maxParam, updateFinished, Vector2< V >::x, xSize, Vector2< V >::y, and ySize. Referenced by finishUpdate().

Here is the call graph for this function:

## Member Data Documentation

long** SlamFlagLocator::cluster[NewFlagContainer::NO_OF_CHARACTERIZATIONS]`[private]`

| Definition at line 96 of file SlamFlagLocator.h. Referenced by addFlagDirection(), calcFlags(), draw(), SlamFlagLocator(), and ~SlamFlagLocator().

NewFlagContainer* SlamFlagLocator::container`[private]`

| Definition at line 97 of file SlamFlagLocator.h. Referenced by calcFlags(), draw(), SlamFlagLocator(), and ~SlamFlagLocator().

bool SlamFlagLocator::updateFinished`[private]`

| Definition at line 98 of file SlamFlagLocator.h. Referenced by addFlagDirection(), calcFlags(), finishUpdate(), and SlamFlagLocator().

double SlamFlagLocator::averageParam`[private]`

| Definition at line 99 of file SlamFlagLocator.h. Referenced by calcFlags(), and SlamFlagLocator().

double SlamFlagLocator::maxParam`[private]`

| Definition at line 99 of file SlamFlagLocator.h. Referenced by calcFlags(), and SlamFlagLocator().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/SlamImageProcessor/SlamFlagLocator.h
- Modules/ImageProcessor/SlamImageProcessor/SlamFlagLocator.cpp